//------------------------------------------------------------------------------------------------------------------------
// Procédure		:	FT_Selecti_GuI
// Auteur			:	PERRICHON Pierre
// Date				:	18/08/2020
// Sujet			: 	Choisir une FT dans la liste des FT
//					:	
// Paramétrage		:	
//						
// Autres données	:	
//					:	
//					:	
//
// Sorties			:	i_FT est le numéro de l'item sélectionné. nb_FT est le nombre de FT
//					:	si i_FT=0 ==> Ababdon opérateur
//						
// Modifications	:
//-------------------
// Auteur			:	
// Date				:	
// Description		:	
//
//------------------------------------------------------------------------------------------------------------------------
function [i_FT,nb_FT]=FT_Select_GUI()

	global Tsim
		
	[nb_FT,x]=size(Tsim)
	
	i_FT=0
	
	if nb_FT<=1 then
					messagebox(TFTErr1(lang), TAttention(lang) + "...", "warning","modal")
					return			// Abandon
	end
	
	ListeItem=[]

	for i=1:nb_FT
			item=msprintf("FT%i",i)
			ListeItem=[ListeItem;item]
	end

	i_FT = x_choose(ListeItem,[TFT_Select_GUI(lang)], TQuit(lang))	
	
endfunction

