//------------------------------------------------------------------------------------------------------------------------
// Procédure		:	HydroStab_Param_Def
// Auteur			:	PERRICHON Pierre
// Date				:	02/10/2019
// Sujet			: 	Rechargement de la configuration par défaut de HydroStab
//					:	
// Paramétrage		:	
//						
// Autres données	:	

// Sorties			:	Paramètres de régulation calculés et affichés
//						
// Modifications	:
//-------------------
// Auteur			:	
// Date				:	
// Description		:	
//
//------------------------------------------------------------------------------------------------------------------------

//--------------------------------------------------------------------------------------------------------------------------------------------------------------
function HydroStab_Param_Def()

	global Tsim_Save TParam_Save
		
	BP=HydroStab_XcrossClosure(%f)

	if BP==1 then return; end			// Abandon opérateur
	
	ResetStructureSim()					// Reset toutes les structures
	
	// Rechargement des paramètres par défaut
	//---------------------------------------	
	exec(Root + "HydroStab.par",-1)

	exec(Root+"HydroStab_gui.sce",-1)	// Redessiner la fenêtre graphique en fonction de la langue sélectionnée
	
	Sys_Compute();						// Tracé des fonctions de transfert
	
	Tsim_Save=Tsim
	TParam_Save=TParam
	
	f=scf(NumFigureHydroStab);
	f.figure_name=HandleHydroStab + " - " + TDef(lang)					
	f.tag=f.figure_name					
	
			
endfunction
