//------------------------------------------------------------------------------------------------------------------------
// Procédure		:	PlotDB
// Auteur			:	PERRICHON Pierre
// Date				:	02/10/2019
// Sujet			: 	Trace un cercle d'équipotentielle dans le plan de Nyquist 
// Paramétrage		:	
//					:	
//						
// Autres données	:	

// Sorties			:	
//						
// Modifications	:
//-------------------
// Auteur			:	
// Date				:	
// Description		:	
//
//-----------------------------------------------------------------------------------------------------------------------
function PlotDB(domaine,dB,couleur,ydep)
      
	//Dessine une équipotentielle en dB
	//---------------------------------
    vdB=evstr(dB)
	r=10^(vdB/20);
    xpoly(r*sin(domaine),r*cos(domaine))
    e=gce();e.foreground=color(couleur);e.line_style=4;
	
	str = dB + " dB"  ;
	xstring( r-0.1, ydep, str ) ;
	e=gce();
	e.font_angle = 90 ;
	e.font_size    = 1  ;
	e.font_style   = 7
	e.box = 'off' ;
	e.font_foreground=color(couleur);

endfunction
