//------------------------------------------------------------------------------------------------------------------------
// Procédure		:	Set_FT_Button
// Auteur			:	PERRICHON Pierre
// Date				:	13/05/2020
// Sujet			: 	Affiche le n° de la fonction de tranfert dans le bouton FT de l'écran opérateur
//					:	Met les structures à jour en fonction de l'index demandé
// Paramétrage		:	
//						
// Autres données	:	

// Sorties			:	Affichage écran HydroStab
//						
// Modifications	:
//-------------------
// Auteur			:	
// Date				:	
// Description		:	
//
//------------------------------------------------------------------------------------------------------------------------
function Set_FT_Button(index)

	global sim Param FTBO FTBF

	FT = FindObj_PPe("tag", "FT1"); 

	FT_txt=msprintf("FT%i", index)
	FT.String=FT_txt
	
	sim=Tsim(index)
	Param=TParam(index)
	
	FTBO=SYS_FTBO(index,1)
	FTBF=SYS_FTBF(index,1)

	Display_Info_Message()	
	
endfunction
