//------------------------------------------------------------------------------------------------------------------------
// Procédure		:	AddLegend
// Auteur			:	PERRICHON Pierre
// Date				:	22/10/2019
// Sujet			: 	permet de rajouter une légende dans un graphe "Indiciel"
//					: 	
//					: 	
// Paramétrage		:	ModeSim indique le type de graphique sur lequel l'opérateur intervient
//						
// Autres données	:	

// Sorties			:	
//						
// Modifications	:
//-------------------
// Auteur			:	
// Date				:	
// Description		:	
//
//------------------------------------------------------------------------------------------------------------------------
function AddLegend()

	global Tsim ModeSim Tlegend

	Tlegend=[]	
	
	[k,x]=size(Tsim)
	
	for i=1:k
			legende=msprintf("FT%01i",i)
			Tlegend=[Tlegend;legende]
	end
	
	select ModeSim
		case 0 then
					// Nyquist
					//--------
					// Légendes traitées dans la fonction Nyquist.sci
					return
		case 1 then
					// Bode
					//------
					// Légendes traitées dans la fonction Bode.sci
					return
		else
					// Temporel
					//---------
					legend(Plotter,[TEch(lang);Tlegend],opt=1,with_box=%f)
	end

endfunction
