//------------------------------------------------------------------------------------------------------------------------
// Procédure		:	HydroStab_Save_cfg
// Auteur			:	PERRICHON Pierre
// Date				:	09/05/2020
// Sujet			: 	Sauvegarde du dernier travail dans le répertoire de HydroStab.sce 
// Paramétrage		:	
//						
// Autres données	:	
//
// Sorties			:	
//						
// Modifications	:
//-------------------
// Auteur			:	
// Date				:	
// Description		:	
//
//------------------------------------------------------------------------------------------------------------------------
function HydroStab_Save_cfg(Repertoire, NomFic)

	global ConfigPAR

	try
		Sep=filesep()
		LastCar=part(Repertoire,length(Repertoire))	
		if LastCar==filesep() then Sep=""; end;
	catch
	end

	//-------------------------------------------------------------------------------------------
	// Sauvegarde du dernier travail enregistré dand le fichier de configuration "HydroStab.cfg"
	//-------------------------------------------------------------------------------------------
	try
			
		cfg=Root + "HydroStab.cfg"
		fd=mopen(cfg,"w+")				// PPe 09.05.2020

		//Langage courant
		//---------------
		mfprintf(fd, "lang=%2.0f\n",lang)
		
		// Dernier fichier .PAR accédé
		//----------------------------
		ConfigPAR=Repertoire + Sep + NomFic
		mfprintf(fd,"ConfigPAR=""%s""\n ",ConfigPAR)	
		
		mclose(fd)
		
	catch
			// Nothing
	end
	
	chdir(Repertoire)

endfunction

