//------------------------------------------------------------------------------------------------------------------------
// Procédure		:	Nyquist_Switch
// Auteur			:	PERRICHON Pierre
// Date				:	12/11/2024
// Sujet			: 	Sélectionne la marge de module alternativement  à +3dB ou -3dB
//					:	
// Paramétrage		:	
//						
// Autres données	:	
//					:	
//					:	
//
// Sorties			:	Retrace l'écran principale avec les mêmes FT
//					:	Seul la marge de stabilité est changée
//						
// Modifications	:
//-------------------
// Auteur			:	
// Date				:	
// Description		:	
//
//------------------------------------------------------------------------------------------------------------------------
function Nyquist_Switch()

	global ma i_ma ModeSim PID
	
	i_ma=3-i_ma;
	
	if i_ma==1 then ma=ma3dB
	 else ma=maM3dB
	end

	ModeSim=0;								// Demande l'affichage du diagramme de Nyquist

	clf()									// Effacement de la fenêtre graphisue
	exec(Root+"HydroStab_gui.sce",-1)		// Redessiner la fenêtre graphique en fonction de la langue sélectionnée

	PID=%f									// Rajoute éventuellement une FT
	Sys_Compute();

endfunction
