//------------------------------------------------------------------------------------------------------------------------
// Procédure		:	Recherche_sim
// Auteur			:	PERRICHON Pierre
// Date				:	22/10/2019
// Sujet			: 	Recherche si une structure "sim" et Param est déja présente dans les tables Tsim et TParam
//					: 	
//					: 	
// Paramétrage		:	
//						
// Autres données	:	

// Sorties			:	%t si trouvé, sinon %f et dans ce cas l'indes renvoyé est l'index d'insertion nbFT+1
//						
// Modifications	:
//-------------------
// Auteur			:	
// Date				:	
// Description		:	
//
//------------------------------------------------------------------------------------------------------------------------
function [index,found]=Recherche_sim()

	global sim Tsim Param TParam
	
	found=%f
	
	T1=Param; T1.Comment=""		// Vérification des param_tres Param sauf champ "Comment"

	
	[nbFT,x]=size(Tsim)
	
	for index=1:nbFT

			if ~isequal(sim.Kp,Tsim(index).Kp) | ~isequal(sim.Ti,Tsim(index).Ti) | ~isequal(sim.Td,Tsim(index).Td) | ~isequal(sim.Kd,Tsim(index).Kd) then continue; end
			
			T2=TParam(index); T2.Comment=""
			
			//if ~isequal(Param,TParam(index)) then continue; end
			if ~isequal(T1,T2) then continue; end

			found=%t; break
			
	end
	
	if ~found then index=nbFT+1; end

endfunction
