//------------------------------------------------------------------------------------------------------------------------
// Procédure		:	ResetStrutureSim
// Auteur			:	PERRICHON Pierre
// Date				:	22/10/2019
// Sujet			: 	Réinitialisation lors d'un passage PID ON à PID Off ou bien DEL
//					: 	
//					: 	
// Paramétrage		:	
//						
// Autres données	:	

// Sorties			:	
//						
// Modifications	:
//-------------------
// Auteur			:	
// Date				:	
// Description		:	
//
//------------------------------------------------------------------------------------------------------------------------
function ResetStructureSim()

	global FTBO SYS_FTBO FTBF SYS_FTBF sim Tsim Param

	SYS_FTBO=[]
	SYS_FTBF=[]
	FTBO=[]
	FTBF=[]

	Tsim=[]

	// Simulation data
	//----------------
	sim.Kp = 0;       	   			// Gain du régulateur
	sim.Ti = 0;       	   			// Constante de temps intégrale
	sim.Td = 0;       	   			// Constante de temps dérivée
	sim.Kd = 10;       	   			// Gain de l'action dérivée
	
	sim.Tw = 0;       	   			// Temps de lancer hydraulique
	sim.Ta = 0;       	   			// Temps de lancer mécanique
	sim.rho = 0;       	   			// Paramètre d'Allievi
	sim.k=0;						// Coefficient Turbine/Adduction

	// Constantes
	//-----------
	sim.Ts=0.25;					// Coefficient sysytèmes copiants
	sim.aut=0;						// Coefficient d'autoréglage du réseau
	sim.Gain=1;						// Gain Puissance
	sim.ty=0.1;						// Constante de temps retout tachymétrique

	sim.GMarge = "";   				// Message Marge de gain (texte)
	sim.PMarge = "";        		// Message Marge de phase (texte)

endfunction