
//------------------------------------------------------------------------------------------------------------------------
// Procédure		:	Temporel
// Auteur			:	PERRICHON Pierre
// Date				:	22/10/2019
// Sujet			: 	Réponse indicielle en boucle fermée à un échelon programmable (amplitude Amp_Ech)
//					:	Appel normal avec des FTBF pour l'application, soit l'emplilement dans SYS_FTBF
//					:	Réponses indicielles de l'ensemble des fonctions de transferts présentes
// Paramétrage		:	
//						
// Autres données	:	FTBF est la représentation de la fonction de transfert en représentation d'état (A, B, C, D)
//
// Sorties			:	
//						
// Modifications	:
//-------------------
// Auteur			:	
// Date				:	
// Description		:	
//
//------------------------------------------------------------------------------------------------------------------------
function Temporel()

	//t=0:0.05:TSim
	t=0:0.1:TSim
	
	in = ones(t)//
	in = in* Amp_Ech;
	for i=length(in)/2:length(in)+1 in(i)=0;end;
	
	simulation=csim(in, t, SYS_FTBF );
	
	plot2d(t' , [in' simulation'],rect=[0,ymin_Temp,TSim,ymax_Temp],style=[6 TColor]);
	
	xgrid(color("lightgrey")*ones(1, 2))
	
	// Mettre la courbe échelon en pointillé
	//--------------------------------------
	
	compound=Plotter.children
	ncourbe=size(compound.children)
	ncourbe=ncourbe(1)
	Courbe=compound.children(ncourbe)
	Courbe.line_style=2
	
	Titre_Echelon()			// Rajoute le titre de la fenêtre graphique

	drawnow()
		
endfunction
